package org.studiorailgun;

import static org.junit.Assert.*;

import org.junit.Test;
import org.studiorailgun.conversation.evaluators.transfer.AnswerSynthesis;
import org.studiorailgun.conversation.tracking.Quote;

/**
 * Answer queries
 */
public class AnswerTests {
    
    @Test
    public void testAnswerQuery(){
        Globals.init("./data/webs/test/web.json");
        Quote result = AnswerSynthesis.evaluate(Globals.conversation, new Quote("What color is your hat?"));
        assertEquals(result.getRaw().contains("Blue"), true);
    }

}
